class_name OverlayEffects
extends Control

@onready var animation_player: AnimationPlayer = $"../AnimationPlayer"


func play_boost() -> void:
	animation_player.play("boost_lines")
	animation_player.seek(0)


func play_destructure() -> void:
	animation_player.play("destructure_alert")
	animation_player.seek(0)


func play_death() -> void:
	animation_player.play("death_overlay")
